<?php
class cDistribucion{
	
	

	function mostrarAlmacenes(){

		$sql = "SELECT * FROM tb_almacen WHERE tb_almacen_xac = '1'";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	
	function mostrarTodo($usu_id){

		$sql = "SELECT * FROM tb_distribucioncarrito WHERE tb_usuario_id != '$usu_id' ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	
	
		function filtrar($nom1,$nom2,$nom3,$nom4,$limit,$mar_nom,$des,$cat_id){
		$sql="SELECT *from tb_producto p 
        inner join tb_catalogo c on p.tb_producto_id = c.tb_producto_id
        inner join tb_presentacion pr on pr.tb_presentacion_id = p.tb_presentacion_id
        inner join tb_empaque e on e.tb_empaque_id = p.tb_empaque_id
        inner join tb_categoria cat on cat.tb_categoria_id = p.tb_categoria_id
        inner join tb_productomarca pm on pm.tb_catalogo_id = c.tb_catalogo_id
        inner join tb_marca m on m.tb_marca_id = pm.tb_marca_id
        where p.tb_producto_xac = '1' and pm.tb_productomarca_xac = '1'";
	    $sql.=" AND p.tb_producto_nom LIKE '%$nom1%' AND p.tb_producto_nom LIKE '%$nom2%' AND p.tb_producto_nom LIKE '%$nom3%' AND p.tb_producto_nom LIKE '%$nom4%' ";
	
	if($des!="")$sql.=" AND p.tb_producto_des like '%$des%' ";
		if($cataid>0)$sql.=" AND c.tb_catalogo_id = '$cataid' ";
		if($cat_id>0)$sql.=" AND cat.tb_categoria_id = '$cat_id' ";
		if($mar_nom!='')$sql.=" AND m.tb_marca_nom like '%$mar_nom%' "; 
		
		$sql.=" order by m.tb_marca_nom asc ";
		
		
		if($limit!="")$sql.=" LIMIT 0,$limit ";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function insertarcarrito($cat_id,$lab_id,$can,$almori_id,$almdes_id,$usu_id){
		$sql = "INSERT tb_distribucioncarrito(
		`tb_catalogo_id` ,
		`tb_laboratorio_id` ,
		`tb_distribucioncarrito_can` ,
		`tb_almacenorigen_id` ,
		`tb_almacendestino_id` ,
		`tb_usuario_id` 
	
		)
		VALUES (
		'$cat_id',  '$lab_id',  '$can', '$almori_id',  '$almdes_id','$usu_id'
		);"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}

		function modificarcarrito($cat_id,$lab_id,$can,$almori_id,$almdes_id){ 
		$sql = "UPDATE tb_distribucioncarrito SET 
		tb_distribucioncarrito_can = '$can'
		WHERE tb_catalogo_id ='$cat_id' and tb_laboratorio_id = '$lab_id' and tb_almacenorigen_id = '$almori_id' and tb_almacendestino_id = '$almdes_id'"; 
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql) or die('false');
		return $rst;
	}
	
	
	function modificar_campo_carrito($id,$campo,$valor){
		$sql = "UPDATE tb_distribucioncarrito SET
		`tb_distribucioncarrito_$campo` =  '$valor' 
		WHERE tb_distribucioncarrito_id =$id;";
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;	
	}
	
	
	
	function mostrarporAlmacenes($almori_id,$almdes_id,$cat_id,$lab_id){

		$sql = "SELECT * FROM tb_distribucioncarrito WHERE tb_almacenorigen_id = '$almori_id' and tb_almacendestino_id = '$almdes_id'";
		
		if($cat_id>0) $sql.=" and tb_catalogo_id = '$cat_id' ";
		if($lab_id>0) $sql.=" and tb_laboratorio_id = '$lab_id' ";
		
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	
	function mostrarSumaAlmacenes($cat_id,$lab_id,$almdes_id){

		$sql = "SELECT sum(tb_distribucioncarrito_can) as 'sumatotal' FROM tb_distribucioncarrito
		WHERE tb_catalogo_id = '$cat_id'  and tb_laboratorio_id = '$lab_id' and tb_almacendestino_id <> '$almdes_id' ";
		
	
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function mostrarSumaProductosSeleccionados(){

		$sql = "SELECT tb_catalogo_id, tb_laboratorio_id, sum(tb_distribucioncarrito_can) as 'cantidad' 
		FROM tb_distribucioncarrito group by tb_catalogo_id, tb_laboratorio_id ";
		
	
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	
	function eliminarCarrito(){

		$sql = "truncate tb_distribucioncarrito ";
	
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	
	function eliminar($cat_id,$lab_id,$almori_id,$almdes_id){

		$sql = "delete from tb_distribucioncarrito where tb_catalogo_id = '$cat_id' and tb_laboratorio_id = '$lab_id' 
		and tb_almacenorigen_id = '$almori_id' and tb_almacendestino_id = '$almdes_id' ";
		
	
		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	
}
?>